<?xml version="1.0" encoding="UTF-8"?>
<?stylesheet format="standard" config="product" css="product" docid="{row/col[1]}" title="{row/col[2]}"?>
<root xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xsl:version="2.0">
   <properties>
      <property name="document-type"><xsl:value-of select="row/col[1]"/></property>
   </properties>
   <section id="title">
     <body id="title"><heading1><xsl:value-of select="row/col[1]"/> - <xsl:value-of select="row/col[2]"/></heading1></body>
   </section>
   <section id="definition" format="pslabelvalues">
      <body>
        <xsl:for-each select="row/col">
          <para><xsl:value-of select="if (@title) then @title else concat('col', position())"/>
            <inlineLabel name="{if (@title) then @title else concat('col', position())}"><xsl:value-of select="."/></inlineLabel></para>
        </xsl:for-each>
      </body>
    </section>
</root>
