<?xml version="1.0"?>
<!--
  Templates used to display the files for a project.
  
  @author Jean-Baptiste Reure
  @author Christophe Lauret
  @version 18 August 2011
-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xs="http://www.w3.org/2001/XMLSchema"
                              xmlns:psf="http://www.pageseeder.com/function"
                              exclude-result-prefixes="xs psf">

  <xsl:import href="common.xsl"/>
  <!-- Import XSLT specific to each service -->
  <xsl:import href="services/projects.xsl"/>
  <xsl:import href="services/project.xsl"/>
  <xsl:import href="services/status.xsl"/>
  <xsl:import href="services/about.xsl"/>
  <xsl:import href="services/query.xsl"/>
  <xsl:import href="services/settings.xsl"/>
  
  <!-- HTML output -->
  <xsl:output method="html" encoding="utf-8" indent="no" undeclare-prefixes="no" media-type="text/html" />

  <xsl:variable name="context-path" select="/root/header/context-path"/>
  
  <!-- Main template -->
  <xsl:template match="/">
    <xsl:apply-templates select="root" />
  </xsl:template>

</xsl:stylesheet>
