/**
 * Behaviour of the project files page
 * 
 * @author Christophe Lauret
 * @version 3 September 2010
 */

// Declare all global dependencies for JSLint
/*global PAGESEEDER, $ */

// Defines and invokes an anonymous function to create a closure.
$(document).ready(function() {

  $("div.publish-job div.actions a.cancel").click(function() {
    var $job = $(this).parents('div.publish-job');
    var $loading = $('<div class="loading"><span>loading</span></div>');
    $(this).after($loading);
    var params = {
        jsessionid : $('#jsessionid').attr('value'),
        processid  : $(this).attr('processid')
    };
    $.post($(this).attr('href'), params, function(data) {
      $loading.remove();
      $job.append($(data));
    });
    return false;
  });

  $("div.publish-job div.parameters div.title a").click(function() {
    $(this).parent().next('table').toggle();
    return false;
  });

  $("div.publish-job div.messages div.title a").click(function() {
    $(this).parent().next('div').toggle();
    return false;
  });
  
});
